Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jif.ast
Class JifLocalDecl_c

    java.lang.Object
      polyglot.ext.jl.ast.Node_c
          polyglot.ext.jl.ast.Term_c
              polyglot.ext.jl.ast.Stmt_c
                  polyglot.ext.jl.ast.LocalDecl_c
                      jif.ast.JifLocalDecl_c

All Implemented Interfaces:
  java.lang.Cloneable, polyglot.ast.ForInit, polyglot.ast.JL, polyglot.ast.LocalDecl, polyglot.ast.Node, polyglot.ast.NodeOps, polyglot.ast.Stmt, polyglot.ast.Term, polyglot.ast.VarDecl, polyglot.ast.VarInit, polyglot.util.Copy

    public class JifLocalDecl_c

extends polyglot.ext.jl.ast.LocalDecl_c

Nested Class Summary

Nested classes/interfaces inherited from class polyglot.ext.jl.ast.LocalDecl_c
`polyglot.ext.jl.ast.LocalDecl_c.AddDependenciesVisitor`

Field Summary

Fields inherited from class polyglot.ext.jl.ast.Term_c
`exceptions, reachable`

Fields inherited from class polyglot.ext.jl.ast.Node_c
`del, error, ext, position`

Constructor Summary
`JifLocalDecl_c(polyglot.util.Position pos, polyglot.types.Flags flags, polyglot.ast.TypeNode type, java.lang.String name, polyglot.ast.Expr init)`

Method Summary
`polyglot.ast.Node` | `visitChildren(polyglot.visit.NodeVisitor v)`

Methods inherited from class polyglot.ext.jl.ast.LocalDecl_c
`acceptCFG, addDecls, buildTypes, checkConstants, childExpectedType, constantValueSet, declType, disambiguate, dump, enterChildScope, entry, flags, flags, init, init, isDisambiguated, localInstance, localInstance, name, name, prettyPrint, reconstruct, toString, type, type, typeCheck, typeCheckEnter, varInstance`

Methods inherited from class polyglot.ext.jl.ast.Term_c
`exceptionCheck, exceptions, exceptions, listEntry, reachable, reachable`

Methods inherited from class polyglot.ext.jl.ast.Node_c
`buildTypesEnter, copy, del, del, disambiguateEnter, disambiguateOverride, dump, dump, enterScope, error, error, exceptionCheckEnter, ext, ext, ext, ext, init, isTypeChecked, node, position, position, prettyPrint, prettyPrint, print, printBlock, printSubStmt, throwTypes, translate, typeCheckOverride, visit, visitChild, visitEdge, visitList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface polyglot.ast.Term
`exceptions, exceptions, reachable, reachable`

Methods inherited from interface polyglot.ast.Node
`del, del, error, error, ext, ext, ext, ext, isTypeChecked, position, position, visit, visitChild, visitEdge, visitList`

Methods inherited from interface polyglot.ast.JL
`init, node`

Methods inherited from interface polyglot.ast.NodeOps
`buildTypesEnter, disambiguateEnter, disambiguateOverride, dump, dump, enterScope, exceptionCheck, exceptionCheckEnter, prettyPrint, prettyPrint, throwTypes, translate, typeCheckOverride`

Methods inherited from interface polyglot.util.Copy
`copy`

Constructor Detail

### JifLocalDecl_c

    public JifLocalDecl_c(polyglot.util.Position pos,
                          polyglot.types.Flags flags,
                          polyglot.ast.TypeNode type,
                          java.lang.String name,
                          polyglot.ast.Expr init)

Method Detail

### visitChildren

    public polyglot.ast.Node visitChildren(polyglot.visit.NodeVisitor v)

  Specified by:
    `visitChildren` in interface `polyglot.ast.NodeOps`
  Overrides:
    `visitChildren` in class `polyglot.ext.jl.ast.LocalDecl_c`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD